Update commit message
curl --request PATCH \
--url https://api.diversion.dev/v0/repos/{repo_id}/commits/{commit_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"commit_message": "<string>"
}
'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/commits/{commit_id}"
payload = { "commit_message": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({commit_message: '<string>'})
};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/commits/{commit_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}Repository Commit Manipulation
Update commit message
Update a commit message. Can only be called on commits authored by the current user.
PATCH
/
repos
/
{repo_id}
/
commits
/
{commit_id}
Update commit message
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
A commit ID
Required string length:
3 - 128Example:
"dv.commit.350e1bc3-52dc-4659-9817-7ce8f3fdf628"
Body
application/json
Maximum string length:
16384Response
Request completed successfully
The response is of type object.
⌘I

